SDL_EnumerateStorageDirectory(3)

NAME
SDL_EnumerateStorageDirectory - Enumerate a directory in a storage container through a callback function.

HEADER FILE
Defined in SDL3/SDL_storage.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_EnumerateStorageDirectory(SDL_Storage *storage, const char *path, SDL_EnumerateDirectoryCallback callback, void *userdata);

DESCRIPTION
This function provides every directory entry through an app-provided callback, called once for each directory entry, until all results have been provided or the callback returns <= 0.

FUNCTION PARAMETERS

storage
    a storage container

path
    the path of the directory to enumerate

callback
    a function that is called for each entry in the directory

userdata
    a pointer that is passed to callback

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_StorageReady(3)